precision highp float;
varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform float edge;
void main()
{
    vec2 uv = textureCoordinate;

    vec4 originalColor = texture2D(inputImageTexture, uv);
    float luminance = dot(vec3(0.299,0.587,0.114), originalColor.rgb);

    vec4 result = vec4(0.0);
    if(luminance > edge){
        result = vec4(1.0);
    }
    gl_FragColor = result;
}